### Hierarchy

- TensorScriptModelContext
  - TensorScriptLSTMModelContext

## Index

### Properties

- getInputShape
- layers
- model
- reshape
- settings
- tf
- trained
- xShape
- yShape

## Properties

### getInputShape

getInputShape: (...args: any[]) => any

- Defined in src/model_interface.ts:16

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### Optional layers

layers: TensorScriptLayers | TensorScriptSavedLayers

- Defined in src/model_interface.ts:19

### model

model: any

- Defined in src/model_interface.ts:12

### reshape

reshape: (...args: any[]) => any

- Defined in src/model_interface.ts:15

#### Type declaration

- - (...args: any[]): any

  - #### Parameters

    - ##### Rest ...args: any[]

    #### Returns any

### settings

settings: TensorScriptOptions

- Defined in src/model_interface.ts:11

### tf

tf: any

- Defined in src/model_interface.ts:13

### trained

trained: boolean

- Defined in src/model_interface.ts:14

### Optional xShape

xShape: number[]

- Defined in src/model_interface.ts:17

### Optional yShape

yShape: number[]

- Defined in src/model_interface.ts:18